Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_Request Class Reference

`#include <Request.h>`

Collaboration diagram for CORBA_Request:

[legend]
List of all members.

## Public Types
typedef CORBA_Request_ptr | _ptr_type
typedef CORBA_Request_var | _var_type
## Public Methods
CORBA::Object_ptr | target (void) const
const CORBA::Char * | operation (void) const
CORBA::NVList_ptr | arguments (void)
CORBA::NamedValue_ptr | result (void)
CORBA::ExceptionList_ptr | exceptions (void)
CORBA::Context_ptr | ctx (void) const
void | ctx (CORBA::Context_ptr)
CORBA::ContextList_ptr | contexts (void)
CORBA_Any & | add_in_arg (void)
CORBA_Any & | add_in_arg (const char *name)
CORBA_Any & | add_inout_arg (void)
CORBA_Any & | add_inout_arg (const char *name)
CORBA_Any & | add_out_arg (void)
CORBA_Any & | add_out_arg (const char *name)
void | set_return_type (CORBA::TypeCode_ptr tc)
CORBA_Any & | return_value (void)
void | invoke (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
void | send_oneway (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
void | send_deferred (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
void | get_response (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
CORBA::Boolean | poll_response (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
void | handle_response (TAO_InputCDR &incoming, CORBA::ULong reply_status ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
void | _tao_lazy_evaluation (int lazy_evaluation)
int | _tao_byte_order (void) const
void | _tao_byte_order (int byte_order)
void | raw_user_exception (TAO_InputCDR &cdr)
ACE_CString & | raw_user_exception (void)
## Static Public Methods
CORBA_Request * | _duplicate (CORBA_Request *)
CORBA_Request * | _nil (void)
## Private Methods
| CORBA_Request (CORBA::Object_ptr obj, CORBA::ORB_ptr orb, const CORBA::Char *op, CORBA::NVList_ptr args, CORBA::NamedValue_ptr result, CORBA::Flags flags, CORBA::ExceptionList_ptr exceptions ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| CORBA_Request (CORBA::Object_ptr obj, CORBA::ORB_ptr orb, const CORBA::Char *op ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| ~CORBA_Request (void)
## Private Attributes
CORBA::Object_ptr | target_
CORBA::ORB_var | orb_
const CORBA::Char * | opname_
CORBA::NVList_ptr | args_
CORBA::NamedValue_ptr | result_
CORBA::Flags | flags_
CORBA_ExceptionList_var | exceptions_
CORBA::ContextList_ptr | contexts_
CORBA::Context_ptr | ctx_
CORBA::ULong | refcount_
TAO_SYNCH_MUTEX | lock_
int | lazy_evaluation_
CORBA::Boolean | response_received_
int | byte_order_
ACE_CString | raw_user_exception_
## Friends
class | TAO_Dynamic_Adapter_Impl

## Member Typedef Documentation

typedef CORBA_Request_ptr CORBA_Request::_ptr_type

typedef CORBA_Request_var CORBA_Request::_var_type

## Constructor & Destructor Documentation

CORBA_Request::CORBA_Request | ( | CORBA::Object_ptr | obj,
|  | CORBA::ORB_ptr | orb,
|  | const CORBA::Char * | op,
|  | CORBA::NVList_ptr | args,
|  | CORBA::NamedValue_ptr | result,
|  | CORBA::Flags | flags,
|  | CORBA::ExceptionList_ptr exceptions | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[private]`

CORBA_Request::CORBA_Request | ( | CORBA::Object_ptr | obj,
|  | CORBA::ORB_ptr | orb,
|  | const CORBA::Char *op | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[private]`

CORBA_Request::~CORBA_Request | ( | void |  | ) | `[private]`

## Member Function Documentation

CORBA::ULong CORBA_Request::_decr_refcnt | ( | void |  | ) |

CORBA_Request* CORBA_Request::_duplicate | ( | CORBA_Request * |  | ) | `[static]`

CORBA::ULong CORBA_Request::_incr_refcnt | ( | void |  | ) |

CORBA_Request_ptr CORBA_Request::_nil | ( | void |  | ) | `[static]`

ACE_INLINE void CORBA_Request::_tao_byte_order | ( | int | byte_order | ) |

ACE_INLINE int CORBA_Request::_tao_byte_order | ( | void |  | ) | const

ACE_INLINE void CORBA_Request::_tao_lazy_evaluation | ( | int | lazy_evaluation | ) |

CORBA_Any& CORBA_Request::add_in_arg | ( | const char * | name | ) |

ACE_INLINE CORBA_Any & CORBA_Request::add_in_arg | ( | void |  | ) |

CORBA_Any& CORBA_Request::add_inout_arg | ( | const char * | name | ) |

ACE_INLINE CORBA_Any & CORBA_Request::add_inout_arg | ( | void |  | ) |

CORBA_Any& CORBA_Request::add_out_arg | ( | const char * | name | ) |

ACE_INLINE CORBA_Any & CORBA_Request::add_out_arg | ( | void |  | ) |

ACE_INLINE CORBA::NVList_ptr CORBA_Request::arguments | ( | void |  | ) |

ACE_INLINE CORBA::ContextList_ptr CORBA_Request::contexts | ( | void |  | ) |

ACE_INLINE void CORBA_Request::ctx | ( | CORBA::Context_ptr | ctx | ) |

ACE_INLINE CORBA::Context_ptr CORBA_Request::ctx | ( | void |  | ) | const

ACE_INLINE CORBA::ExceptionList_ptr CORBA_Request::exceptions | ( | void |  | ) |

void CORBA_Request::get_response | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

void CORBA_Request::handle_response | ( | TAO_InputCDR & | incoming,
|  | CORBA::ULong reply_status | ACE_ENV_ARG_DECL
| ) |

void CORBA_Request::invoke | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

ACE_INLINE const CORBA::Char * CORBA_Request::operation | ( | void |  | ) | const

CORBA::Boolean CORBA_Request::poll_response | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

ACE_INLINE ACE_CString & CORBA_Request::raw_user_exception | ( | void |  | ) |

ACE_INLINE void CORBA_Request::raw_user_exception | ( | TAO_InputCDR & | cdr | ) |

ACE_INLINE CORBA::NamedValue_ptr CORBA_Request::result | ( | void |  | ) |

ACE_INLINE CORBA_Any & CORBA_Request::return_value | ( | void |  | ) |

void CORBA_Request::send_deferred | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

void CORBA_Request::send_oneway | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

ACE_INLINE void CORBA_Request::set_return_type | ( | CORBA::TypeCode_ptr | tc | ) |

ACE_INLINE CORBA::Object_ptr CORBA_Request::target | ( | void |  | ) | const

## Friends And Related Function Documentation

friend class TAO_Dynamic_Adapter_Impl`[friend]`

## Member Data Documentation

CORBA::NVList_ptr CORBA_Request::args_`[private]`

int CORBA_Request::byte_order_`[private]`

CORBA::ContextList_ptr CORBA_Request::contexts_`[private]`

CORBA::Context_ptr CORBA_Request::ctx_`[private]`

CORBA_ExceptionList_var CORBA_Request::exceptions_`[private]`

CORBA::Flags CORBA_Request::flags_`[private]`

int CORBA_Request::lazy_evaluation_`[private]`

TAO_SYNCH_MUTEX CORBA_Request::lock_`[private]`

const CORBA::Char* CORBA_Request::opname_`[private]`

CORBA::ORB_var CORBA_Request::orb_`[private]`

ACE_CString CORBA_Request::raw_user_exception_`[private]`

CORBA::ULong CORBA_Request::refcount_`[private]`

CORBA::Boolean CORBA_Request::response_received_`[private]`

CORBA::NamedValue_ptr CORBA_Request::result_`[private]`

CORBA::Object_ptr CORBA_Request::target_`[private]`

The documentation for this class was generated from the following files:

- Request.h
- Request.cpp
- Request.inl